function OnWarpEnter()
	
	SetMarker("Osiris\\Warp_0023.wp",0,0)
	
	if not GodsSolved_os_26 then
		AnimationSetToEnd("GLG1", false)
		StartAnimationPart("MBG1",30,60,-1,true)
		StartAnimationPart("MCG1",30,60,-1,true)
		StartAnimationPart("MDG1",30,60,-1,true)
		StartAnimationPart("MEG1",30,60,-1,true)
		StartAnimationPart("MFG1",30,60,-1,true)
		LookAt(182,000)
		DrawText("LMOR1173","LMOR1173.ogg")	
		DrawText("LMOR1174","LMOR1174.ogg")

		DrawText("LMOR1186","LMOR1186.ogg")
		DrawText("LMOR1175","LMOR1175.ogg")
		DrawText("LMOR1176","LMOR1176.ogg")
		DrawText("LMOR1177","LMOR1177.ogg")
		DrawText("LMOR1178","LMOR1178.ogg")
		DrawText("LMOR1179","LMOR1179.ogg")
		
		SetMarker("MBG1",4,0)
		SetMarker("MCG1",4,0)
		SetMarker("MDG1",4,0)
		SetMarker("MEG1",4,0)
		SetMarker("MFG1",4,0)
		SetMarker("Osiris\\Warp_0028.wp",-1,0)
	else
		SetMarker("Osiris\\Warp_0028.wp",0,0)
	end
	
end

function OnWarpLeave()
end

function OnDialogFinished(dialogName)
	
	if dialogName=="LMOR1182" then
--		ChangeWarp("3D\\Osiris\\Warp_0026.wp")
		OnWarpEnter()
	end
end

function OnWarpObjectHit(objectName)
	if objectName == "11G1" then

------------------------------------------------------------
	elseif objectName == "GLG1" then
		
		
------------------------------------------------------------
	elseif objectName == "MBG1" then
		DrawText("LMOR1184","LMOR1184.ogg")
		DrawText("LMOR1185","LMOR1185.ogg")

		StartAnimationPart("MBG1",60,90,1,true)
		StartAnimationPart("MCG1",60,90,1,true)
		StartAnimationPart("MDG1",60,90,1,true)
		StartAnimationPart("MEG1",60,90,1,true)
		StartAnimationPart("MFG1",60,90,1,true)
		SetMarker("MBG1",-1,0)
		SetMarker("MCG1",-1,0)
		SetMarker("MDG1",-1,0)
		SetMarker("MEG1",-1,0)
		SetMarker("MFG1",-1,0)
		SetMarker("Osiris\\Warp_0028.wp",0,0)
		AnimationSetToStart("GLG1", false)
		GodsSolved_os_26=true
------------------------------------------------------------
	elseif objectName == "MCG1" then
		DrawText("LMOR1181","LMOR1181.ogg")
		DrawText("LMOR1182","LMOR1182.ogg")
		
------------------------------------------------------------
	elseif objectName == "MDG1" then
		DrawText("LMOR1181","LMOR1181.ogg")
		DrawText("LMOR1182","LMOR1182.ogg")
		
------------------------------------------------------------
	elseif objectName == "MEG1" then
		DrawText("LMOR1181","LMOR1181.ogg")
		DrawText("LMOR1182","LMOR1182.ogg")
		
------------------------------------------------------------
	elseif objectName == "MFG1" then
		DrawText("LMOR1181","LMOR1181.ogg")
		DrawText("LMOR1182","LMOR1182.ogg")
		
	end
	if objectName=="3D\\Osiris\\Warp_0023.wp" then
		ChangeWarp(objectName)
        end
	if objectName=="3D\\Osiris\\Warp_0028.wp" then
		ChangeWarp(objectName)
        end
end
